
Name:    baloo-kcmadv
Summary: Baloo Desktop Search Advanced configuration module
Version: 1.00.00 
Release: 1%{?dist}

License: GPLv2
URL:     https://gitorious.org/baloo-kcmadv

#Source0: baloo-kcmadv-0656135.tar.xz
Source0: https://gitorious.org/baloo-kcmadv/baloo-kcmadv/archive/v%{version}.tar.gz

BuildRequires: kdelibs4-devel
BuildRequires: baloo-devel
# for ${KDE4_DBUS_INTERFACES_DIR}/org.kde.baloo.file.indexer.xml
BuildRequires: baloo-file
BuildRequires: kfilemetadata-devel
BuildRequires: pkgconfig(QJson)
BuildRequires: xapian-core-devel

Requires: baloo-file
Requires: kde-runtime

%description
%{summary}.


%prep
%setup -n baloo-kcmadv-baloo-kcmadv


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kcm_baloofileadv --with-kde

%files -f kcm_baloofileadv.lang
%{_kde4_libdir}/kde4/kcm_baloofileadv.so
%{_kde4_datadir}/kde4/services/kcm_baloofileadv.desktop


%changelog
* Thu Oct 09 2014 Rex Dieter <rdieter@fedoraproject.org>  1.00.00-1
- 1.00.00 release

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20140427git0656135
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri May 02 2014 Rex Dieter <rdieter@fedoraproject.org> 0-0.1.20140427git0656135
- first try

